import 'bulma/css/bulma.css'
import 'bulma-list/css/bulma-list.css'
import '@creativebulma/bulma-tooltip/dist/bulma-tooltip.css'
import '@fortawesome/fontawesome-free/css/all.min.css' // TODO: there should be a better way...

import { createApp } from 'vue'
import { createPinia } from 'pinia'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'

import App from './App.vue'
import router from './router'

const pinia = createPinia()
pinia.use(piniaPluginPersistedstate)
const app = createApp(App)

app.use(pinia)
app.use(router)

app.mount('#app')
